Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoVRMLPointSet Class Reference
[VRML97 classes]

`#include <Inventor/VRMLnodes/SoVRMLPointSet.h>`

Inheritance diagram for SoVRMLPointSet:

List of all members.

## Detailed Description

The SoVRMLPointSet class is used to represent a set of 3D points.

The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

      PointSet {
        exposedField  SFNode  color      NULL
        exposedField  SFNode  coord      NULL
      }

The PointSet node specifies a set of 3D points, in the local coordinate system, with associated colours at each point. The coord field specifies a SoVRMLCoordinate node (or instance of a Coordinate node). The results are undefined if the coord field specifies any other type of node. PointSet uses the coordinates in order. If the coord field is NULL, the point set is considered empty. PointSet nodes are not lit, not texture-mapped, nor do they participate in collision detection. The size of each point is implementation- dependent. If the color field is not NULL, it shall specify a SoVRMLColor node that contains at least the number of points contained in the coord node. The results are undefined if the color field specifies any other type of node. Colours shall be applied to each point in order. The results are undefined if the number of values in the Color node is less than the number of values specified in the Coordinate node. If the color field is NULL and there is a SoVRMLMaterial node defined for the SoVRMLAppearance node affecting this PointSet node, the emissiveColor of the Material node shall be used to draw the points. More details on lighting equations can be found in 4.14, Lighting model (<http://www.web3d.org/technicalinfo/specifications/vrml97/part1/concepts.html#4.14>).

## Public Member Functions
| SoVRMLPointSet (void)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
## Static Public Member Functions
void | initClass (void)
## Protected Member Functions
virtual | ~SoVRMLPointSet ()
virtual void | generatePrimitives (SoAction *action)

## Constructor & Destructor Documentation

SoVRMLPointSet::SoVRMLPointSet | ( | void |  | ) |

| Constructor.

SoVRMLPointSet::~SoVRMLPointSet | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLPointSet::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoVRMLVertexPoint.

void SoVRMLPointSet::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoVRMLVertexPoint.

void SoVRMLPointSet::getBoundingBox | ( | SoGetBoundingBoxAction * | action | ) | `[virtual]`

| Action method for the SoGetBoundingBoxAction. Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node. Nodes influencing how geometry nodes calculates their bounding box also overrides this method to change the relevant state variables. Reimplemented from SoVRMLVertexPoint.

void SoVRMLPointSet::generatePrimitives | ( | SoAction * | action | ) | `[protected, virtual]`

| The method implements action behavior for shape nodes for SoCallbackAction. It is invoked from SoShape::callback(). (Subclasses should not override SoNode::callback().) The subclass implementations uses the convenience methods SoShape::beginShape(), SoShape::shapeVertex(), and SoShape::endShape(), with SoDetail instances, to pass the primitives making up the shape back to the caller. Implements SoShape.

The documentation for this class was generated from the following files:

- SoVRMLPointSet.h
- PointSet.cpp